--Test of Graphic Rotation and Rest Animation = Good
--Test Button Press Feedback = Good
--Run Button Use = Good
--Folder Clean-Up = Good
--Slow Button Use = Good
--WASD <--> Arrows Switch Op = Good
--Mouse Use = Good
--Full Screen Switch = Good
--Start Up Screen = Good


	local player = love.graphics.newImage("images/player_rup.png")
		x = 400
		y = 265
		speed = 300
	local world = love.graphics.newImage("images/world.png")
	local playerup = love.graphics.newImage("images/playerup.png")
	local playerdown = love.graphics.newImage("images/playerdown.png")
	local playerleft = love.graphics.newImage("images/playerleft.png")
	local playerright = love.graphics.newImage("images/playerright.png")
	local playerrup = love.graphics.newImage("images/player_rup.png")
	local playerrdown = love.graphics.newImage("images/player_rdown.png")
	local playerrleft = love.graphics.newImage("images/player_rleft.png")
	local playerrright = love.graphics.newImage("images/player_rright.png")
	local timer = 0
	local fps = 0
	local press = "No Key Is Pressed"
	local pressup = "No"
	local pressdown = "No"
	local pressleft = "No"
	local pressright = "No"
	local presslshift = "No"
	local presslctrl = "No"
	local up = "up"
	local down = "down"
	local left = "left"
	local right = "right"
	local mode = "Arrow Keys"
	local fullscreen = "False"
	local main = love.filesystem.load("main.lua")

function love.update(dt)

	timer = timer + dt

	fps = love.timer.getFPS()

	function love.keyreleased( key )
		if key == up then
			player = playerrup
			press = "No Key Is Pressed"
			pressup = "No"
		end
		if key == down then
			player = playerrdown
			press = "No Key Is Pressed"
			pressdown = "No"
		end
		if key == left then
			player = playerrleft
			press = "No Key Is Pressed"
			pressleft = "No"
		end
		if key == right then
			player = playerrright
			press = "No Key Is Pressed"
			pressright = "No"
		end
		if key == "lshift" then
			speed = 300
			press = "No Key Is Pressed"
			presslshift = "No"
		end
		if key == "lctrl" then
			speed = 300
			press = "No Key Is Pressed"
			presslctrl = "No"
		end
	end

	if love.mouse.isDown("l") then
		speed = speed + (10 * dt)
	end

	if love.mouse.isDown("r") then
		speed = speed - (10 * dt)
	end

	if love.mouse.isDown("m") then
		speed = 300
	end

	if up == "up" then
		mode = "Arrow Keys"
	end

	if up == "w" then
		mode = "WASD Controls"
	end

	if love.keyboard.isDown("f1") then
		up = "up"
		down = "down"
		left = "left"
		right = "right"
	end

	if love.keyboard.isDown("f2") then
		up = "w"
		down = "s"
		left = "a"
		right = "d"
	end

	if love.keyboard.isDown("f3") then
		if fullscreen == "False" then
			fullscreen = "True"
			love.graphics.toggleFullscreen(true)
		end
	end

	if love.keyboard.isDown("f4") then
		if fullscreen == "True" then
			fullscreen = "False"
			love.graphics.toggleFullscreen(false)
		end
	end

	if love.keyboard.isDown("lctrl") then
		speed = 150
		press = "Left Control Key Is Pressed"
		presslctrl = "Yes"
	end

	if love.keyboard.isDown("lshift") then
		speed = 600
		press = "Left Shift Key Is Pressed"
		presslshift = "Yes"
	end

	if love.keyboard.isDown("escape") then
		main()
	end

	if love.keyboard.isDown(up) then
		y = y - (speed * dt)
		player = playerup
		press = "Up Key Is Pressed"
		pressup = "Yes"
		if y < -32 then
			y = 579
		end
	end

	if love.keyboard.isDown(down) then
		y = y + (speed * dt)
		player = playerdown
		press = "Down Key Is Pressed"
		pressdown = "Yes"
		if y > 580 then
			y = -31
		end
	end

	if love.keyboard.isDown(left) then
		x = x - (speed * dt)
		player = playerleft
		press = "Left Key is Pressed"
		pressleft = "Yes"
		if x < -35 then
			x = 781
		end
	end

	if love.keyboard.isDown(right) then
		x = x + (speed * dt)
		player = playerright
		press = "Right Key Is Pressed"
		pressright = "Yes"
		if x > 782 then
			x = -34
		end
	end
end

function love.draw()
	love.graphics.draw(world, love.graphics:getWidth() / 2 - world:getWidth()/2,
		love.graphics:getHeight() / 2 - world:getHeight() / 2)
	love.graphics.draw(player, x, y)
	love.graphics.print("Test Console", 10, 0)
	love.graphics.print("Time Past = "..timer, 0, 10)
	love.graphics.print("FPS = "..fps, 0, 20)
	love.graphics.print("Key = "..press, 0, 30)
	love.graphics.print("Key Up = "..pressup, 0, 40)
	love.graphics.print("Key Down = "..pressdown, 0, 50)
	love.graphics.print("Key Left = "..pressleft, 0, 60)
	love.graphics.print("Key Right = "..pressright, 0, 70)
	love.graphics.print("Key Left Shift = "..presslshift, 0, 80)
	love.graphics.print("Key Left Control = "..presslctrl, 0, 90)
	love.graphics.print("Speed = "..speed, 0, 100)
	love.graphics.print("Mode = "..mode, 0, 110)
	love.graphics.print("Player X = "..x, 0, 120)
	love.graphics.print("Player Y = "..y, 0, 130)
	love.graphics.print("Fullscreen = "..fullscreen,  0, 140)
end
